org.eclipse.mat.ui.snapshot.actions

## Class OpenSampleHeapDumpAction

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.snapshot.actions.OpenSampleHeapDumpAction

    public class OpenSampleHeapDumpAction
    extends Action

### Constructor Summary

Constructors
Constructor and Description
`OpenSampleHeapDumpAction()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `openEditor(String snapshotPath, String editorId, Object arguments)`
`void` `run()`
`void` `run(String[] params, ICheatSheetManager manager)`
`void` `setInitializationString(String data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenSampleHeapDumpAction

    public OpenSampleHeapDumpAction()

### Method Detail

#### run

    public void run(String[] params,
                    ICheatSheetManager manager)

#### openEditor

    public static final void openEditor(String snapshotPath,
                                        String editorId,
                                        Object arguments)
                                 throws PartInitException

Throws:
  `PartInitException`

#### run

    public void run()

#### setInitializationString

    public void setInitializationString(String data)